Skip to main content
GET
List All Chargebacks

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

account
string

The Account id or vid to filter list by. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
include_children
boolean
default:false

If filtering by Account, include child accounts.

case_number
string

Filter Chargebacks list by your banks case number

reference_number
string

Filter Chargebacks list by your banks case number.

status
string

Can be Challenged, CollectionsLost, CollectionsNew, CollectionsWon, Duplicate, Expired, Incomplete, Legitimate, Lost, New, NewSecondChargeback, Pass, Represented, Responded, Retrieval, Won

transaction
string
required

Transaction id or vid to filter chargeback list by

Response

JSON A list array with a data property that contains an array of up to limit Chargebacks, starting after the specified starting_after Chargeback (or ending before the specified ending_before Chargeback). Each entry in the array is a full Chargeback object. If no more Chargebacks are available, the resulting array will be empty. This request should never throw an error. A list of CancelReason objects matching the query. Also:

  • “total_count”: Integer count of the number of CancelReason in the returned list.

  • “url”: The query string provided in the request

  • “next”: The route (partial URL) to the next CancelReason object (string to select the “next”); included vid should match that of the last object returned here

  • “previous”: The route (partial URL) to the previous CancelReason object (string to select the “previous”); included vid should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Chargebacks object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Chargebacks object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"Chargeback\", \"vid\": \"3d72d92cc1680ae6e7717aa66ac3e216454a3b14\", \"amount\": 27.99, \"currency\": \"USD\", \"presentment_currency\": \"USD\", \"reason_code\": \"8885\", \"reference_number\": \"12345\", \"transaction_id\": \"00000001\", \"transaction_timestamp\": \"2022-04-05T06:58:09+00:00\", \"processor_received_timestamp\": \"2022-09-05T06:58:09+00:00\", \"posted_timestamp\": \"2022-09-05T06:58:09+00:00\", \"status_changed_timestamp\": \"2022-09-06T09:19:42+00:00\", \"status\": \"Challenged\", \"merchant_user_id\": \"Account_1649141886\", \"metadata\": {} } ], \"total_count\": 2, \"url\": \"/chargebacks?limit=1\", \"next\": \"/chargebacks?starting_after=3d72d92cc1680ae6e7717aa66ac3e216454a3b14\", \"previous\": \"/chargebacks?ending_before=3d72d92cc1680ae6e7717aa66ac3e216454a3b14\" }"